Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.socketfactory
Class CreationListenerServerSocketFactory

    java.lang.Object
      javax.net.ServerSocketFactory
          org.jboss.remoting.socketfactory.CreationListenerServerSocketFactory

All Implemented Interfaces:
  java.io.Serializable, ServerSocketFactoryWrapper

    public class CreationListenerServerSocketFactory

extends javax.net.ServerSocketFactory
implements ServerSocketFactoryWrapper, java.io.Serializable

A CreationListenerServerSocketFactory wraps a ServerSocketFactory, and whenever the ServerSocketFactory creates a ServerSocket, the ServerSocket is wrapped in a CreationListenerServerSocket.

Version:
  $Revision: 1866 $

  Copyright Jan 10, 2007

Author:
  Ron Sigal
See Also:
  Serialized Form

Constructor Summary
`CreationListenerServerSocketFactory(javax.net.ServerSocketFactory factory, SocketCreationListener listener)`

Method Summary
`java.net.ServerSocket` | `createServerSocket()`
`java.net.ServerSocket` | `createServerSocket(int port)`
`java.net.ServerSocket` | `createServerSocket(int port, int backlog)`
`java.net.ServerSocket` | `createServerSocket(int port, int backlog, java.net.InetAddress ifAddress)`
`javax.net.ServerSocketFactory` | `getFactory()`
`SocketCreationListener` | `getListener()`
`javax.net.ServerSocketFactory` | `getServerSocketFactory()`
`void` | `setFactory(javax.net.ServerSocketFactory factory)`
`void` | `setListener(SocketCreationListener listener)`
`void` | `setServerSocketFactory(javax.net.ServerSocketFactory factory)`

Methods inherited from class javax.net.ServerSocketFactory
`getDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreationListenerServerSocketFactory

    public CreationListenerServerSocketFactory(javax.net.ServerSocketFactory factory,
                                               SocketCreationListener listener)

Method Detail

### getFactory

    public javax.net.ServerSocketFactory getFactory()

### getListener

    public SocketCreationListener getListener()

### setFactory

    public void setFactory(javax.net.ServerSocketFactory factory)

### setListener

    public void setListener(SocketCreationListener listener)

### createServerSocket

    public java.net.ServerSocket createServerSocket()
                                             throws java.io.IOException

  Overrides:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port,
                                                    int backlog)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port,
                                                    int backlog,
                                                    java.net.InetAddress ifAddress)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`

### getServerSocketFactory

    public javax.net.ServerSocketFactory getServerSocketFactory()

  Specified by:
    `getServerSocketFactory` in interface `ServerSocketFactoryWrapper`

### setServerSocketFactory

    public void setServerSocketFactory(javax.net.ServerSocketFactory factory)

  Specified by:
    `setServerSocketFactory` in interface `ServerSocketFactoryWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.